using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;


/// <summary>
/// Summary description for BootstrapUtil
/// </summary>
public class BootstrapUtil
{
	public BootstrapUtil()
	{
	}

    // input type=button 컨트롤을 활성화/비활성화 시킨다.
    public static void EnableButton(HtmlButton button, bool enabled = true)
    {
        if (enabled)
            button.Attributes.Remove("disabled");
        else
            button.Attributes["disabled"] = "disabled";
    }

    // 일반적인 입력 컨트롤을 활성화/비활성화 시킨다.
    public static void EnableControl(HtmlControl control, bool enabled = true)
    {
        if (enabled)
            control.Attributes.Remove("disabled");
        else
            control.Attributes["disabled"] = "disabled";
    }

    // 일반적인 입력 컨트롤을 숨기거나 표시한다.
    public static void VisibleControl(HtmlControl control, bool visible = true)
    {
        if (visible)
            control.Style["display"] = "";
        else
            control.Style["display"] = "none";
    }

    // div 등을 숨기거나 표시한다.
    public static void CollapseControl(HtmlGenericControl control, bool collapse = true)
    {
        if (collapse)
            control.Attributes["class"] += " collapse";
        else
            control.Attributes["class"] += " in";
    }

    // checkbox 클래스를 숨기거나 표시한다.
    public static void CollapseCheckbox(HtmlGenericControl control, bool collapse = true)
    {
        if (collapse)
            control.Attributes["class"] = "checkbox collapse";
        else
            control.Attributes["class"] = "checkbox in";
    }
}